@import "../variables";

.usage {
  height: 154px;
  width: 541px;

  padding: 40px 41px;

  background: $dark-blue;

  align-self: flex-end;

  border-radius: $border-radius-narrow;
  color: $pale-blue;

  display: flex;
  flex-direction: column;
  justify-content: space-between;

  position: relative;

  .usage-desc {
    letter-spacing: 0.08px;

    #current-usage {
      min-width: 26px;
      display: inline-block;
      text-align: right;
    }
  }

  .usage-bar {
    height: 18px;
    width: 100%;
    background-color: transparentize($very-dark-blue, .5);

    border-radius: $border-radius-narrow;

    padding: 2px;

    .usage-bar-content {
      height: 100%;
      width: 75%;
      min-width: 15px;
      border-radius: $border-radius-narrow;
      position: relative;
      overflow: hidden;

      &::before {
        content: '';
        position: absolute;
        height: 100%;
        width: 200%;
        background-image: $primary-gradient;
        left: 0;
        top: 0;

        animation: animate-bar 1.5s linear infinite;
      }

      &::after {
        content: '';
        position: absolute;
        top: 2px;
        width: 10px;
        right: 2px;
        bottom: 2px;
        border-radius: $border-radius-narrow;
        background: white;
      }
    }
  }

  .usage-bar-range {
    margin-top: 10px;
    display: flex;
    justify-content: space-between;

    font-size: 12px;
    font-weight: 700;
  }

  .usage-tooltip {
    position: absolute;

    background: white;

    right: 40px;
    height: 72px;
    top: -48px;
    width: 179px;
    color: $very-dark-blue;

    padding: 16px 25px;

    display: flex;
    align-items: center;
    gap: 8px;

    border-radius: $border-radius-narrow $border-radius-narrow 0 $border-radius-narrow;

    .usage-number {
      font-weight: 700;
      font-size: 40px;
      line-height: 1;

      max-width: 66px;
    }

    .brexit {
      text-transform: uppercase;
      font-size: 13px;
      font-weight: 700;
      letter-spacing: .34px;
      color: $grayish-blue;
    }

    &::after {
      $size: 11px;
      content: '';
      position: absolute;
      height: 1px;
      width: 1px;
      bottom: -2 * $size;
      right: 0;
      border-style: solid;
      border-width: $size;
      border-color: white white transparent transparent;
    }
  }
}

@keyframes animate-bar {
  0% {
    left: -100%;
  }
  100% {
    left: 0;
  }
}
